
#---------------------------------------------------------------------------------
# Variable descriptions
#------------------------
# CMACH - character string describing the machine name. This is used by
#         the RAMS UTILS library and a few other applications.
# FORT_COMP - name of the Fortran compiler
# LOADER - name of the program to use for loading, usually the Fortran compiler 
# LOADER_OPTS - options for the load program 
# C_COMP - name of the C compiler
# C_OPTS - options for the C compiler
# FORT_OPTS - options for the Fortran compiler
# FORT77_OPTS - compiler options for any F77 code
# ARCHIVE - archive command to replace an object in a static library
# OTHER_LIBS - additional system libraries to link with, if necessary. It can
#              be omitted if unnecessary.
#---------------------------------------------------------------------------------

#  Activate appropriate parts below, comment out others

#----------------- SGI ------------------------------------
#CMACH=SGI
#FORT_COMP= f90
#LOADER=f90 -n32 -mips4 -r10000
#C_COMP=cc
#C_OPTS= -c -g -n32 -mips4 -r10000
#FORT_OPTS= -c -n32 -mips4 -r10000 -O3 -OPT:IEEE_arithmetic=3:roundoff=3
#ARCHIVE=ar rs
#-----------------------------------------------------------------

#----------------- IBM ------------------------------------
#CMACH=IBM
#FORT_COMP= f90
#LOADER=f90 
#C_COMP=cc
#C_OPTS= -c 
#FORT_OPTS= -c -g   -qhsflt -NA18000 -NQ30000 -qcharlen=10000
#FORT_OPTS= -c -O3   -qhsflt -NA18000 -NQ30000 -qcharlen=10000
#ARCHIVE=ar rs
#-----------------------------------------------------------------

#----------------- HP/Exemplar ------------------------------------
#CMACH=HP
#FORT_COMP= f90
#LOADER=f90
#C_COMP=cc
#C_OPTS=-c -O
#FORT_OPTS= -c +O2 +U77 +Olibcalls +Odataprefetch +Ofltacc
#FORT_OPTS= -c -g +U77
#OTHER_LIBS=-Wl,-aarchive_shared -lm -lcnx_syscall /lib/libail.sl -lU77 -lc
#ARCHIVE=ar rs
#-----------------------------------------------------------------

#----------------  LINUX Portland Group pgf77/gcc ------------------------
CMACH=PC_LINUX1
FORT_COMP= pgf90
LOADER=pgf90 
LOADER_OPTS=-v -Wl,-static  -Wl,-zmuldefs
SYSLIBS= -lc -lgcc_eh -ldl  -lXau -lXdmcp -lm
C_COMP=gcc
C_OPTS= -O3
FORT_OPTS= -Mvect=cachesize:524288 -Munroll -Mnoframe -O2 -pc 64 -Mbyteswapio
FORT77_OPTS= -Mvect=cachesize:524288 -Munroll -Mnoframe -O2 -pc 64 -Mbyteswapio
ARCHIVE=ar rs

#-----------------------------------------------------------------
# HDF5 libraries
HDF5_LIBS=-L/usr/local/lib  -lhdf5 -lz -lm
HDF5_INCS=/usr/local/hdf5/src
#-----------------------------------------------------------------
